<template>
    <div class="mx-auto shadow-sm p-3 mb-5 bg-body rounded row" v-if="isLoad">
        <div class="row justify-content">
            <ul class="nav nav-tabs justify-content-center" id="myTab" role="tablist">
                <li
                class="nav-link"
                v-for="(item, index) in items"
                :key="index"
                @click="selectItem(index),updateData(index+1)"
                :class="{ 'active': index == selectedItem }"
                >
                {{ item }}
                </li>
            </ul>

        </div>

        <Table :datas="datas"/>
    </div>
    <div class="mx-auto shadow-sm p-3 mb-5 bg-body rounded row" v-else>
        <LoadingBar/>
    </div>
</template>


<style>
.nav-tabs .nav-link {
    color: #000000;
}

.nav-tabs .nav-link.active {
    color: #69B145 !important;
    border-radius: 0 !important;
    border-bottom: 2px solid #69B145 !important;
}

.navbar-light .nav-link.active {
    color: #69B145 !important;
    border-radius: 0 !important;
    border-bottom: 2px solid #69B145 !important;
}
tr.hide-table-padding td {
    padding: 0;
}


.accordion-toggle .expand-button:after
{
    top: 50%;
    transform: translate(0, -50%);
    content: '-';
}
.accordion-toggle.collapsed .expand-button:after
{
    content: '+';
}
.table{
    table-layout: fixed;
}
</style>
<script lang="ts">
import { defineComponent,ref } from "vue"
import { getPartielles } from '../../../composition-api/partielles.api';
import Table from './Table/Table.vue'
import LoadingBar from "../../partials/Datas/Loading.vue"

export default {
    components : {
        Table,
        LoadingBar
    },
    data(){
        return {
            datas: {},
            isLoad:false,
            do_type:1,
        }
    },
    setup(props,context){
        const selectedItem = ref(0)
        let isActive = false
        
        const items = ["Commandes","Préparations"]
        const selectItem = (i: number) => {
            selectedItem.value = i
            items.forEach((item, index) => {
                return (isActive = item == items[index])
            })
            return selectedItem
            
        }
        
        return {
        items,
        selectedItem,
        selectItem,
        isActive,
        }
    },
    watch: {
    // whenever question changes, this function will run
    dotype() {
        this.updateData(this.do_type)
    }
  },
    methods:{
        async updateData(do_type:number){
            this.isLoad = false
            const [error , data] = await getPartielles(do_type);
            if (error) console.error(error);
            else {
                this.datas = data 
                this.isLoad = true
            };
        },
        async updateDotype(do_type:number){
           this.do_type = do_type
        }
    },
    async created(){
        this.updateData(1)
    }

}
</script>